Subject: bug#19315: per-user profile directory not created/mentioned

From: [email-masked] (Ludovic Courtès)
Date: Tue, 09 Dec 2014 11:33:45 +0100

Hi,

rekado <[email-masked]> skribis:

> the manual does not mention that a per-user profile directory owned by
> the user account has to be created after installation of guix.

It actually does, under “Invoking guix package” (see
<http://www.gnu.org/software/guix/manual/html_node/Invoking-guix-package.html#Invoking-guix-package>):

     In a multi-user setup, user profiles must be stored in a place
  registered as a "garbage-collector root", which ‘$HOME/.guix-profile’
  points to (*note Invoking guix gc::).  That directory is normally
  ‘LOCALSTATEDIR/profiles/per-user/USER’, where LOCALSTATEDIR is the value
  passed to ‘configure’ as ‘--localstatedir’, and USER is the user name.
  It must be created by ‘root’, with USER as the owner.  When it does not
  exist, or is not owned by USER, ‘guix package’ emits an error about it.

Would you suggest making it more prominent somehow?

Thanks,
Ludo’.